clear
close all
clc

data = csvread('DATALOG.csv');
zpracujData
clear data
data = csvread('zpracovano.csv');

% datum     % X_DAY X_HMIN X_HOUR X_MONT X_MSEC X_YEAR

% teplomery % AI_tepl_venk_04 AI_tepkomp_10 AI_teplota1_08 AI_teplota2_08 
% klapky    % AO_kl11_11 AO_kl12_11 AO_kl13_11 AO_kl11_12 AO_kl12_12 AO_kl13_12    
% bool      % DI_chod_k_11 DI_chod_k_12 DO_kl14_11 DO_kl14_12 DO_kl31_10 DO_ventpkomp_10
dny = datetime([2000+data(:,6),data(:,4),data(:,1), data(:,3), data(:,2),data(:,5)]);
dayCisla = find(day(dny) == day(datetime(2019,3,5)));

den = dny(dayCisla);
second= zeros(length(den)-1,1);
numvec = datevec(den);

for i = 2:length(den)
    second(i) = second(i-1)+etime(numvec(i,:),numvec(i-1,:));
end

teplomery = data(dayCisla, 7:10);
klapky = data(dayCisla,11:16);
bool = data(dayCisla, 17:23);

open('resample')
sim('resample')
uloz

cas = 1:second(end)+1;

figure
plot(cas, teplomery/10)
xlabel('čas (s)')
ylabel('teplota (°C)')
axis([0 length(cas) 0 70])
title('Převzorkované naměřené teploty ze dne 5. 3. 2019')
legend('venkovní','kompresorovna','kompresor č.1','kompresor č.2')

figure
plot(cas, klapky(:, 3)/80)
hold on
plot(cas, klapky(:, 6)/80)

ylabel('Natočení klapky (%)')
xlabel('čas (s)')
axis([0 length(cas) 0 2.5])
title('Převzorkované natočení směšovacích klapek ze dne 5. 3. 2019')
legend('kompresor č.1','kompresor č.2')



